////
/// @group _blocks/
////

/// Description
.breadcrumbs {
  position: relative;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  line-height: rem(22);
  list-style: none;
  margin: 1em 0 0;
  //font-size: 1rem;
  font-size: rem(11);
  font-family: $font-primary;
  font-weight: 200;
  text-transform: uppercase;
  > * { // sass-lint:disable-line no-universal-selectors
    margin: 0 0 .5em 0;
    display: flex;
    align-items: center;

    @include media($md, max) {
      &:not(:last-child) {
        &:not(:nth-last-child(2)) {
          display: none;
        }
      }

      &:nth-last-child(2)::after {
        content: '\21d0\00a0';
        margin-left: .5em;
      }
    }

    @include media($md) {
      &:not(:last-child)::after {
        content: '';
        width: rem(15);
        height: 1px;
        display: inline-block;
        vertical-align: middle;
        background: transparentize($color-white-1, 0.8);
        margin: 0 rem(14);
      }
    }
  }

  a {
    &[href] {
      color: $color-white-1;
      @extend .opacity-on-hover;
      &:hover {
        //color: map-get($colors-link, hover);
      }

      &:active {
        //color: map-get($colors-link, active);
      }
    }
    &:not([href]) {
      color: $color-primary;
    }
  }

  &:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 2rem;
    height: 2px;
    background: $color-primary;
  }
}
